Debian Bug report logs - #529363
grub-installer: make sure grub-pc gets used when ext4 is chosen

version graph

Package: grub-installer; Maintainer for grub-installer is Debian Install System Team <debian-boot@lists.debian.org>; Source for grub-installer is src:grub-installer.

Reported by: Colin Ian King <colin.king@ubuntu.com>

Date: Wed, 7 Jan 2009 16:06:01 UTC

Severity: normal

Tags: patch

Fixed in version grub-installer/1.38

Done: Otavio Salvador <otavio@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, colin.king@ubuntu.com, Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#511121; Package grub. (Wed, 07 Jan 2009 16:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Ian King <colin.king@ubuntu.com>:
New Bug report received and forwarded. Copy sent to colin.king@ubuntu.com, Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Wed, 07 Jan 2009 16:06:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Colin Ian King <colin.king@ubuntu.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: grub does not support ext4
Date: Wed, 07 Jan 2009 16:04:43 +0000
Package: grub
Version: 0.97-27etch1
Severity: normal


Grub does not support ext4 filesystems.

A patch for grub based on the patch from Quentin Godfroy is posted at:

https://bugs.launchpad.net/ubuntu/+source/grub/+bug/314350/comments/1

which refers to the diff at:

http://launchpadlibrarian.net/20944879/grub_ext4.diff

-- System Information:
Debian Release: 4.0
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-6-686
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)

Versions of packages grub depends on:
ii  libc6                  2.3.6.ds1-13etch8 GNU C Library: Shared libraries
ii  libncurses5            5.5-5             Shared libraries for terminal hand

grub recommends no packages.

-- no debconf information




Tags added: patch Request was from Colin Watson <cjwatson@ubuntu.com> to control@bugs.debian.org. (Thu, 08 Jan 2009 16:09:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#511121; Package grub. (Wed, 08 Apr 2009 21:06:03 GMT) Full text and rfc822 format available.

Message #10 received at 511121@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@aybabtu.com>
To: Colin Ian King <colin.king@ubuntu.com>, 511121@bugs.debian.org
Subject: Re: Bug#511121: grub does not support ext4
Date: Wed, 8 Apr 2009 23:03:25 +0200
retitle 511121 grub legacy does not support ext4
tags 511121 wontfix
thanks

Hi,

On Wed, Jan 07, 2009 at 04:04:43PM +0000, Colin Ian King wrote:
> Package: grub
> Version: 0.97-27etch1
> Severity: normal
> 
> 
> Grub does not support ext4 filesystems.

It does (grub-pc package).

-- 
Robert Millan

  The DRM opt-in fallacy: "Your data belongs to us. We will decide when (and
  how) you may access your data; but nobody's threatening your freedom: we
  still allow you to remove your data and not access it at all."




Changed Bug title to `grub legacy does not support ext4' from `grub does not support ext4'. Request was from Robert Millan <rmh@aybabtu.com> to control@bugs.debian.org. (Wed, 08 Apr 2009 21:06:05 GMT) Full text and rfc822 format available.

Tags added: wontfix Request was from Robert Millan <rmh@aybabtu.com> to control@bugs.debian.org. (Wed, 08 Apr 2009 21:06:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Grub Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#511121; Package grub. (Sun, 12 Apr 2009 12:09:02 GMT) Full text and rfc822 format available.

Message #17 received at 511121@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@aybabtu.com>
To: Colin Ian King <colin.king@ubuntu.com>, 511121@bugs.debian.org
Subject: Re: Bug#511121: grub does not support ext4
Date: Sun, 12 Apr 2009 14:06:20 +0200
On Wed, Apr 08, 2009 at 11:03:25PM +0200, Robert Millan wrote:
> retitle 511121 grub legacy does not support ext4
> tags 511121 wontfix
> thanks
> 
> Hi,
> 
> On Wed, Jan 07, 2009 at 04:04:43PM +0000, Colin Ian King wrote:
> > Package: grub
> > Version: 0.97-27etch1
> > Severity: normal
> > 
> > 
> > Grub does not support ext4 filesystems.
> 
> It does (grub-pc package).

Hum, I'm sorry I think I was a bit rude.  Let's try something better:

 a- If you're a user and need ext4 support, just install grub-pc

 b- If you're working on D-I, or an installer in general, and want to
    enable ext4 as an option, make it install grub-pc like we do for
    gpt.

 c- If you want to make ext4 the default, then I expect we'll finish the
    2 or 3 things that are missing in grub-pc before it can become default,
    too.

If your situation is C I'm willing to talk about your timeline and when you
expect us to be ready for the migration.  Feel free to catch me on IRC for a
better/faster response.

-- 
Robert Millan

  The DRM opt-in fallacy: "Your data belongs to us. We will decide when (and
  how) you may access your data; but nobody's threatening your freedom: we
  still allow you to remove your data and not access it at all."




Bug 511121 cloned as bug 529363. Request was from Max Vozeler <xam@debian.org> to control@bugs.debian.org. (Mon, 18 May 2009 21:54:03 GMT) Full text and rfc822 format available.

Bug reassigned from package `grub' to `grub-installer'. Request was from Max Vozeler <xam@debian.org> to control@bugs.debian.org. (Mon, 18 May 2009 21:54:07 GMT) Full text and rfc822 format available.

Changed Bug title to `grub-installer: make sure grub-pc gets used when ext4 is chosen' from `grub legacy does not support ext4'. Request was from Max Vozeler <xam@debian.org> to control@bugs.debian.org. (Mon, 18 May 2009 21:54:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#529363; Package grub-installer. (Mon, 18 May 2009 22:19:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Max Vozeler <xam@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 18 May 2009 22:19:34 GMT) Full text and rfc822 format available.

Message #28 received at 529363@bugs.debian.org (full text, mbox):

From: Max Vozeler <xam@debian.org>
To: 529363@bugs.debian.org
Cc: Robert Millan <rmh@aybabtu.com>
Subject: grub-installer: make sure grub-pc gets used when ext4 is chosen
Date: Tue, 19 May 2009 00:11:11 +0200
[Message part 1 (text/plain, inline)]
tags 529363 - wontfix
thanks

Hi all,

this is a proposed patch to make grub-installer use
grub-pc if bootfstype is ext4.

For grub-of and grub-efi, I assume they can handle 
ext4 just as well as grub-pc since they are also 
built from grub2?

This change just covers cases in which we would use
GRUB Legacy but found ext4.

	Max
[ext4_use_grub-pc.patch (text/x-diff, inline)]
Index: grub-installer/debian/changelog
===================================================================
--- grub-installer/debian/changelog	(revision 58603)
+++ grub-installer/debian/changelog	(working copy)
@@ -1,8 +1,12 @@
 grub-installer (1.38) UNRELEASED; urgency=low
 
+  [ Colin Watson ]
   * Make findfs use the last of any mounts found, in case there's more than
     one due to pilot error in the partitioner (LP: #289101).
 
+  [ Max Vozeler ]
+  * Use grub2 when ext4 is chosen (closes: #529363).
+
  -- Colin Watson <cjwatson@debian.org>  Thu, 14 May 2009 13:08:03 +0100
 
 grub-installer (1.37) unstable; urgency=low
Index: grub-installer/grub-installer
===================================================================
--- grub-installer/grub-installer	(revision 58603)
+++ grub-installer/grub-installer	(working copy)
@@ -337,6 +337,10 @@
 		grub_package="grub-pc"
 	fi
 	;;
+    ext4:*:grub)
+	# We boot from ext4, requires grub2
+	grub_package="grub-pc"
+	;;
     *:*:grub)
 	db_input low grub-installer/grub2_instead_of_grub_legacy || [ $? -eq 30 ]
 	db_go || true

Tags removed: wontfix Request was from Max Vozeler <xam@debian.org> to control@bugs.debian.org. (Mon, 18 May 2009 22:30:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#529363; Package grub-installer. (Mon, 18 May 2009 22:39:11 GMT) Full text and rfc822 format available.

Message #33 received at 529363@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@aybabtu.com>
To: Max Vozeler <xam@debian.org>
Cc: 529363@bugs.debian.org
Subject: Re: grub-installer: make sure grub-pc gets used when ext4 is chosen
Date: Tue, 19 May 2009 00:17:02 +0200
On Tue, May 19, 2009 at 12:11:11AM +0200, Max Vozeler wrote:
> 
> For grub-of and grub-efi, I assume they can handle 
> ext4 just as well as grub-pc since they are also 
> built from grub2?

Yes.  But those aren't yet supported by D-I AFAIK.

-- 
Robert Millan

  The DRM opt-in fallacy: "Your data belongs to us. We will decide when (and
  how) you may access your data; but nobody's threatening your freedom: we
  still allow you to remove your data and not access it at all."




Tags added: pending Request was from Max Vozeler <xam@debian.org> to control@bugs.debian.org. (Tue, 02 Jun 2009 06:27:07 GMT) Full text and rfc822 format available.

Reply sent to Otavio Salvador <otavio@debian.org>:
You have taken responsibility. (Fri, 12 Jun 2009 19:36:15 GMT) Full text and rfc822 format available.

Notification sent to Colin Ian King <colin.king@ubuntu.com>:
Bug acknowledged by developer. (Fri, 12 Jun 2009 19:36:15 GMT) Full text and rfc822 format available.

Message #40 received at 529363-close@bugs.debian.org (full text, mbox):

From: Otavio Salvador <otavio@debian.org>
To: 529363-close@bugs.debian.org
Subject: Bug#529363: fixed in grub-installer 1.38
Date: Fri, 12 Jun 2009 19:17:08 +0000
Source: grub-installer
Source-Version: 1.38

We believe that the bug you reported is fixed in the latest version of
grub-installer, which is due to be installed in the Debian FTP archive:

grub-installer_1.38.dsc
  to pool/main/g/grub-installer/grub-installer_1.38.dsc
grub-installer_1.38.tar.gz
  to pool/main/g/grub-installer/grub-installer_1.38.tar.gz
grub-installer_1.38_amd64.udeb
  to pool/main/g/grub-installer/grub-installer_1.38_amd64.udeb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 529363@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Otavio Salvador <otavio@debian.org> (supplier of updated grub-installer package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 12 Jun 2009 16:04:27 -0300
Source: grub-installer
Binary: grub-installer
Architecture: source amd64
Version: 1.38
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Otavio Salvador <otavio@debian.org>
Description: 
 grub-installer - Install GRUB on a hard disk (udeb)
Closes: 473401 529363
Changes: 
 grub-installer (1.38) unstable; urgency=low
 .
   [ Colin Watson ]
   * Make findfs use the last of any mounts found, in case there's more than
     one due to pilot error in the partitioner (LP: #289101).
   * Use grub-ieee1275 on powerpc, not grub-of which no longer exists.
 .
   [ Max Vozeler ]
   * Use grub2 when ext4 is chosen (closes: #529363).
 .
   [ Felix Zielcke ]
   * Change the debhelper compat level to 7 and bump the build
     dependency.
   * Replace deprecated `dh_clean -k' with `dh_prep'.
   * Remove the lintian overrides, they're no longer needed.
   * Use UUIDs in the grub2 generated menuentrys. (Closes: #473401)
   * Add drivemap in the grub2 generated menuentry for DOS/Windows in
     case a recent grub2 gets installed.
   * Don't pass -y to update-grub. grub-legacy in lenny just prints out a
     warning.
 .
   [ Otavio Salvador ]
   * Add Felix Zielcke in uploads field and set DM-Upload-allowed to
     allow him to upload.
Checksums-Sha1: 
 6dde4a27f60ccc2cdbb02c8ca2b5d31b2ac95e9e 1043 grub-installer_1.38.dsc
 6647dca85568a2335e85e57cadf15f54ec579cf8 161446 grub-installer_1.38.tar.gz
 19af92871dadbd136390d34f68b55f594bb558fa 153606 grub-installer_1.38_amd64.udeb
Checksums-Sha256: 
 0fd3082bccea9187fa0339d616a31a6305703428c1a9625e609edb2131f6a76b 1043 grub-installer_1.38.dsc
 2b3412eb10c1cf1e76be882eeaf803655043815eacd8cd13460774c7d0f9e2ba 161446 grub-installer_1.38.tar.gz
 ad869b0c27339525b543adb16bdb8fe5e5189ae3abd16f1f50c7e5417080b4b2 153606 grub-installer_1.38_amd64.udeb
Files: 
 61c400eba52f3b45a0e6f84adc72ec5a 1043 debian-installer standard grub-installer_1.38.dsc
 eb481c8f701916b10f405dd9d7b704ab 161446 debian-installer standard grub-installer_1.38.tar.gz
 174e9454edfbd80a937a1a0a6fa603bc 153606 debian-installer standard grub-installer_1.38_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkoypxgACgkQLqiZQEml+FUoZwCgl2Oc+1OBo2XuQ4Ib101Kw/uu
BAgAniQzP85k92ocV9vydLMFN/5h1Tn1
=jmgV
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 07 Oct 2009 07:44:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 12:51:49 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.